
/*
 * FS1541 - basic disk interaction routines (header)
 *
 * Copyright (C) 1996 - 1998 Michael Krause
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <devices/trackdisk.h>

LONG InitDiskSS(STRPTR device, ULONG unit, ULONG flags);
void QuitDiskSS(void);

void ResetDisk(void);
BOOL LoadDisk(void);
void MotorOff(void);

int SectorsOnTrack(BYTE track);
UWORD Block2TS(UWORD blk);

struct DataBlock *getblock_ts(UBYTE t, UBYTE s);
struct DataBlock *putblock_ts(UBYTE t, UBYTE s, APTR data);
struct DataBlock *getputblock(ULONG blk, BOOL write);

extern BOOL autoscan;
extern LONG numsofterrors;
extern struct IOExtTD *diskreq;
extern int wprotected, hardwprot;
extern struct MsgPort *dpsender;
extern ULONG chgcount;


#define D64_SIZE 683*256		/* 174848 */

#define SEC_NOT_LOADED 0
#define SEC_OK 1
#define SEC_ERROR -1
